Skip to main content
POST
Extract from a crawl

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

jobId
string<uuid>
required

The jobId of a completed crawl.

Body

application/json
transformInstruction
string
required

What to extract from each page, in plain English.

Maximum string length: 5000

Response

The extraction was queued. Poll GET /crawl/{jobId} with the new jobId.

status
enum<string>
Available options:
queued
jobId
string<uuid>

The new extraction job's ID. Not the crawl's ID.

message
string

Where to poll for the result.